summaryrefslogtreecommitdiff
path: root/debian/openssh-known-hosts.prerm
diff options
context:
space:
mode:
Diffstat (limited to 'debian/openssh-known-hosts.prerm')
-rw-r--r--debian/openssh-known-hosts.prerm37
1 files changed, 14 insertions, 23 deletions
diff --git a/debian/openssh-known-hosts.prerm b/debian/openssh-known-hosts.prerm
index b5730c7..fc24391 100644
--- a/debian/openssh-known-hosts.prerm
+++ b/debian/openssh-known-hosts.prerm
@@ -18,31 +18,22 @@ set -e
case "$1" in
- remove|upgrade|deconfigure)
- ;;
-
- failed-upgrade)
- ;;
-
- *)
- echo "prerm called with unknown argument \`$1'" >&2
- exit 1
- ;;
+ remove|deconfigure)
+ if [ -L /etc/ssh/ssh_known_hosts ] && \
+ [ "`readlink /etc/ssh/ssh_known_hosts`" = /var/lib/openssh-known-hosts/ssh_known_hosts ]; then
+ rm /etc/ssh/ssh_known_hosts
+ fi
+ rmdir /usr/local/share/openssh-known-hosts/plugins 2>/dev/null || true
+ rmdir /usr/local/share/openssh-known-hosts 2>/dev/null || true
+ ;;
+ upgrade|failed-upgrade)
+ ;;
+ *)
+ echo "prerm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
esac
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
#DEBHELPER#
-if [ -L /etc/ssh/ssh_known_hosts ] && \
- [ "`readlink /etc/ssh/ssh_known_hosts`" = /var/lib/openssh-known-hosts/ssh_known_hosts ]; then
- rm /etc/ssh/ssh_known_hosts
-fi
-
-rmdir /usr/local/share/openssh-known-hosts/plugins 2>/dev/null || true
-rmdir /usr/local/share/openssh-known-hosts 2>/dev/null || true
-
exit 0
-
-